_msgs.email =
  [
    /* 0  */ "ERROR: Failed to clear the log.",
    /* 1  */ "The log has been cleared.",
    /* 2  */ "ERROR: To Address is too long. The maximum length is 80.",
    /* 3  */ "ERROR: Invalid To Address specified.",
    /* 4  */ "ERROR: Failed to commit the To Address.",
    /* 5  */ "ERROR: Cc Address is too long. The maximum length is 80.",
    /* 6  */ "ERROR: Invalid Cc Address specified.",
    /* 7  */ "ERROR: Failed to commit the Cc Address.",
    /* 8  */ "ERROR: From Address is too long. The maximum length is 50.",
    /* 9  */ "ERROR: Invalid From Address specified.",
    /* 10 */ "ERROR: Failed to commit the From Address.",
    /* 11 */ "ERROR: Reply-To Address is too long. The maximum length is 50.",
    /* 12 */ "ERROR: Invalid Reply-To Address specified.",
    /* 13 */ "ERROR: Failed to commit the Reply-To Address.",
    /* 14 */ "ERROR: Subject is too long. The maximum length is 80.",
    /* 15 */ "ERROR: Failed to commit the Subject.",
    /* 16 */ "ERROR: Message Filename is too long. The maximum length is 255.",
    /* 17 */ "ERROR: Invalid Message Filename.",
    /* 18 */ "WARNING: Message File does not exist.",
    /* 19 */ "ERROR: Failed to commit the Message Filename.",
    /* 20 */ "ERROR: Overriding Domain is too long. The maximum length is 128.",
    /* 21 */ "ERROR: Failed to commit the Overriding Domain.",
    /* 22 */ "ERROR: Invalid Server Port value. Valid range is from 1 to 65535.",
    /* 23 */ "ERROR: Failed to commit the Server Port.",
    /* 24 */ "ERROR: Invalid Local Port value. Valid range is from 1 to 65535.",
    /* 25 */ "ERROR: Failed to commit the Local Port.",
    /* 26 */ "ERROR: Invalid Priority value.",
    /* 27 */ "ERROR: Failed to commit the Priority.",
    /* 28 */ "ERROR: Invalid Send Trigger CP Group Value.",
    /* 29 */ "WARNING: Send Trigger CP Group does not exist.",
    /* 30 */ "ERROR: Failed to commit the Send Trigger data.",
    /* 31 */ "ERROR: Must specify both the Send Trigger CP Group and Value.",
    /* 32 */ "ERROR: Failed to delete the To Address.",
    /* 33 */ "The To Address has been deleted.",
    /* 34 */ "ERROR: Failed to delete the Cc Address.",
    /* 35 */ "The Cc Address has been deleted.",
    /* 36 */ "ERROR: Failed to delete the From Address.",
    /* 37 */ "The From Address has been deleted.",
    /* 38 */ "ERROR: Failed to delete the Reply-To Address.",
    /* 39 */ "The Reply-To Address has been deleted.",
    /* 40 */ "ERROR: Failed to delete the Subject.",
    /* 41 */ "The Subject has been deleted.",
    /* 42 */ "ERROR: Failed to delete the Message Filename.",
    /* 43 */ "The Message Filename has been deleted.",
    /* 44 */ "ERROR: Failed to delete the Overriding Domain.",
    /* 45 */ "The Overriding Domain has been deleted.",
    /* 46 */ "ERROR: Failed to delete the Server Port.",
    /* 47 */ "The Server Port has been deleted.",
    /* 48 */ "ERROR: Failed to delete the Local Port.",
    /* 49 */ "The Local Port has been deleted.",
    /* 50 */ "ERROR: Failed to disable the Send Trigger.",
    /* 51 */ "The Send Trigger has been disabled.",
    /* 52 */ "ERROR: Invalid Server Port configuration.",
    /* 53 */ "ERROR: From Address is not configured.",
    /* 54 */ "ERROR: No destination addresses are configured.",
    /* 55 */ "ERROR: Failed to send Email.",
    /* 56 */ "Email has been queued for transmission.",
    /* 57 */ "ERROR: Mail system is down.",
    /* 58 */ "ERROR: Failed to get the Email Statistics.",
    /* 59 */ "ERROR: Unknown email index.",
    /* 60 */ "Changed the To Address to {}.",
    /* 61 */ "Changed the Cc Address to {}.",
    /* 62 */ "Changed the From Address to {}.",
    /* 63 */ "Changed the Reply-To Address to {}.",
    /* 64 */ "Changed the Subject to {}.",
    /* 65 */ "Changed the Message Filename to {}.",
    /* 66 */ "Changed the Overriding Domain to {}.",
    /* 67 */ "Changed the Server Port to {}.",
    /* 68 */ "Changed the Local Port to {}.",
    /* 69 */ "Changed the Priority to {}.",
    /* 70 */ "Changed the Send Trigger to group {} value {}.",
    /* 71 */ "ERROR: Invalid character in the Overriding Domain name.",
    /* 72 */ "Changed the Send Trigger to {} Becomes Low.",
    /* 73 */ "Changed the Send Trigger to {} Becomes High.",
    /* 74 */ 'WARNING: The Send Trigger "{}" is not currently an Input.',
  ];

function SetEmailLinks()
{
    document.getElementById('emailtoD').style.display =
        (document.getElementById('emailto').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('emailccD').style.display =
        (document.getElementById('emailcc').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('emailfromD').style.display =
        (document.getElementById('emailfrom').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('emailreplytoD').style.display =
        (document.getElementById('emailreplyto').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('emailsubjectD').style.display =
        (document.getElementById('emailsubject').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('emailfileD').style.display =
        (document.getElementById('emailfile').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('emaildomainD').style.display =
        (document.getElementById('emaildomain').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('emailsportD').style.display =
        (document.getElementById('emailsport').innerHTML == '25') ? 'none' : 'inline';

    document.getElementById('emaillportD').style.display =
        (document.getElementById('emaillport').innerHTML == 'Random') ? 'none' : 'inline';


    document.getElementById('emailcpD').style.display =
        (document.getElementById('emailcp').innerHTML == 'Disabled') ? 'none' : 'inline';

}

function EmailLogRender(xml)
{
    var d = document.getElementById('emaillog');
    d.innerHTML = '';

    var r = '';
    var numLogs = 0;

    r += "<table class=\"basicTable emailLogTable\"><tr><td>";

    for (var i = 0; xml && i < xml.childNodes.length; i++)
    {
        var node = xml.childNodes[i];

        if (node.nodeName.toLowerCase() == "l")
        {
            numLogs++;

            r += unescape(node.firstChild.nodeValue) + "<br/>";
        }
    }

    r += "</td></tr></table>";

    if (!numLogs)
    {
        d.innerHTML = "No log data available.<br/>";
    }
    else
    {
        d.innerHTML = r;
    }
}

function SetEmailNav(xml)
{




    SetNav(xml, true, true);

}

function EmailRender( xml )
{
        var d = document.getElementById("multiemaildropdown");
        if( d )
        {
                var sel="";
                var i;
                var curLine = Number(document.getElementById("hiddenemail").innerHTML);
                var r = "<";
                r += "select name='navSelect' ";
                r += "id='navSelect' ";
                r += "onchange=\" ";
                r += "var page = document.getElementById('hiddencurrentemailpage').innerHTML;";
                r += "return ajax_AddToHistory(page, [true, 'index='+this.value]);";
                r += " \" ";
                r += ">";
                for( i = 0; i < 4; i++ )
                {
                        if( curLine == i )
                        {
                                sel = " SELECTED ";
                        }
                        else
                        {
                                sel = "";
                        }
                        r += "<option value='" + i + "' " + sel + ">Email " + (i+1) + " </option>";
                }
                r += "</select>";
                d.innerHTML = "";
                d.innerHTML = r;
        }
        return r;
}
