/*
 * These are the status messages printed by the Lantronix WebMgr.
 * YOU ABSOLUTELY CANNOT 'ADD/DELETE' A MESSAGE IN THE MIDDLE OF AN ARRAY!!!
 * All new messages must be appended at the end of the appropriate array.
 * "Unused" marks placeholder spots available for use.
 *
 * Note that message arrays exist for all pages and they live in their
 * respective javascript files.  The above comments applies to those arrays
 * as well (i.e. see *.js)
 */

var _msgs = new Array();

_msgs.misc =
  [
    /* 0  */ "ERROR: Unknown command.",
    /* 1  */ "ERROR: Memory allocation failed.",
    /* 2  */ "Nothing changed.",
    /* 3  */ "ERROR: Unknown MIB.",
    /* 4  */ "ERROR: Socket Error.",
    /* 5  */ "ERROR: Javascript loading error.",
    /* 6  */ 'Changed {} to "{}".',
    /* 7  */ 'Changed {} to Binary "{}".',
  ];
