_msgs.syslog =
  [
    /* 0  */ "ERROR: The Syslog Port is already in use.",
    /* 1  */ "ERROR: Failed to set Syslog Local Port.",
    /* 2  */ "Changing the Local Port to {}.",
    /* 3  */ "ERROR: Failed to set Syslog Remote Port.",
    /* 4  */ "Changing the Remote Port to {}.",
    /* 5  */ "ERROR: Failed to set Syslog Host.",
    /* 6  */ "Changing Syslog host to {}.",
    /* 7  */ "ERROR: Failed to enable Syslog.",
    /* 8  */ "Syslog Enabled.",
    /* 9  */ "ERROR: Failed to Disable Syslog.",
    /* 10 */ "Syslog Disabled.",
    /* 11 */ "ERROR: Failed to set Severity log level.",
    /* 12 */ "Syslog Severity log level set to {}.",
    /* 13 */ "ERROR: Failed to reset Syslog Host.",
    /* 14 */ "Host name has been cleared.",
    /* 15 */ "ERROR: Failed to reset Syslog Local Port.",
    /* 16 */ "Syslog Local Port reset.",
    /* 17 */ "ERROR: Failed to reset Syslot Remote Port.",
    /* 18 */ "Syslog Remote Port Reset.",
    /* 19 */ "ERROR: Failed to reset Syslog Severity log level.",
    /* 20 */ "Syslog Severity log level has been reset.",
    /* 21 */ "ERROR: No Syslog Host configured.",
    /* 22 */ "ERROR: Invalid IP Address.",
    /* 23 */ "ERROR: Name too long.",
    /* 24 */ "ERROR: Can't reslove host.",
    /* 25 */ "ERROR: Can't bind port.",
  ];

function SetSyslogLinks()
{
    document.getElementById('sysloghostD').style.display =
        (document.getElementById('sysloghost_current').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
    document.getElementById('sysloglocalportD').style.display =
        (document.getElementById('sysloglocalport_current').innerHTML == '514') ? 'none' : 'inline';
    document.getElementById('syslogremoteportD').style.display =
        (document.getElementById('syslogremoteport_current').innerHTML == '514') ? 'none' : 'inline';
    document.getElementById('syslogseveritytologD').style.display =
        (document.getElementById('syslogseveritytolog_current').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
    var severity = document.getElementById('syslogseveritytolog_current').innerHTML;
    var severitySelection = document.getElementById('syslogseverityselect');

    for( var i = 0; i < severitySelection.options.length; i++ )
    {
        if( severitySelection.options[i].value == severity )
        {
            severitySelection.options[i].selected = true;
        }
        else
        {
            severitySelection.options[i].selected = false;
        }
    }


}
