_msgs.tr =
  [
    /* 0  */ "ERROR: Must specify the Host.",
    /* 1  */ "ERROR: Request timed out.",
    /* 2  */ "ERROR: DNS Lookup - {}",
    /* 3  */ "ERROR: Invalid IP Address - {}",
  ];

function TracerouteRender(xml)
{
    var d = document.getElementById('trresults');
    d.innerHTML = '';

    var r = '';

    r += "<div align=\"center\"><h3>TracerouteResults</h3><table class=\"basicTable tracerouteTable\">";

    if (!xml || !xml.hasChildNodes())
    {
        r += "<tr><td><b>No results.</b></td></tr>";
    }
    else
    {
        for (var i = 0; xml && i < xml.childNodes.length; i++)
        {
            var node = xml.childNodes[i];

            if (node.nodeName.toLowerCase() == "t")
            {
                r += "<tr><td>" + GetXmlData(node, "n") + "</td><td>" + GetXmlData(node, "i") + "</td><td>" + GetXmlData(node, "m") + " ms</td></tr>";
            }
        }
    }

    r += "</table></div>";

    d.innerHTML = r;
}
