_msgs.tunnel =
  [
    /* 0  */ "The Connect Mode Tunnel has been killed.",
    /* 1  */ "The Accept Mode Tunnel has been killed.",
    /* 2  */ "ERROR: Invalid Buffer Size value. Valid range is from 1 to 4096.",
    /* 3  */ "ERROR: Failed to commit the Buffer Size.",
    /* 4  */ "WARNING: When using UDP for tunneling data may be dropped.",
    /* 5  */ "ERROR: Invalid Read Timeout value. Valid range is from 1 to 64000.",
    /* 6  */ "ERROR: Failed to commit the Read Timeout.",
    /* 7  */ "ERROR: Failed to enable the Wait For Read Timeout.",
    /* 8  */ "Enabling the Wait For Read Timeout.",
    /* 9  */ "ERROR: Failed to disable the Wait For Read Timeout.",
    /* 10 */ "Disabling the Wait For Read Timeout.",
    /* 11 */ "ERROR: Failed to reset the Buffer Size.",
    /* 12 */ "The Buffer Size has been reset.",
    /* 13 */ "ERROR: Invalid Connect Mode value.",
    /* 14 */ "ERROR: PPP is enabled on the line.",
    /* 15 */ "ERROR: Failed to commit the Connect Mode.",
    /* 16 */ "WARNING: No Start Character is currently configured.",
    /* 17 */ "WARNING: Stop Character of '+' is not supported when in Modem Emulation.",
    /* 18 */ "WARNING: The port is currently in Command Mode.",
    /* 19 */ "WARNING: Modem Emulation will start when Command Mode halts.",
    /* 20 */ "ERROR: Failed to commit the Remote Address.",
    /* 21 */ "WARNING: Failed to resolve the Remote Address.",
    /* 22 */ "ERROR: Failed to commit the Remote Address.",
    /* 23 */ "ERROR: Invalid Remote Port value. Valid range is from 1 to 65535.",
    /* 24 */ "ERROR: Failed to commit the Remote Port.",
    /* 25 */ "ERROR: Invalid Local Port value. Valid range is from 1 to 65535.",
    /* 26 */ "ERROR: The Local Port is used by {}.",
    /* 27 */ "ERROR: Failed to commit the Local Port.",
    /* 28 */ "ERROR: Invalid Protocol value.",
    /* 29 */ "ERROR: Failed to commit the Protocol.",
    /* 30 */ "ERROR: Invalid Reconnect Timer value. Valid range is from 1 to 60000.",
    /* 31 */ "ERROR: Failed to commit the Reconnect Timer.",
    /* 32 */ "ERROR: Failed to enable Flush Serial Data.",
    /* 33 */ "Enabling Flush Serial Data.",
    /* 34 */ "ERROR: Failed to disable Flush Serial Data.",
    /* 35 */ "Disabling Flush Serial Data.",
    /* 36 */ "ERROR: Invalid SSH Username length.",
    /* 37 */ "ERROR: Failed to commit the SSH Username.",
    /* 38 */ "WARNING: SSH Client User not defined.",
    /* 39 */ "ERROR: Failed to turn on Block Serial Data.",
    /* 40 */ "Turning on Block Serial Data.",
    /* 41 */ "ERROR: Failed to turn off Block Serial Data.",
    /* 42 */ "Turning off Block Serial Data.",
    /* 43 */ "ERROR: Failed to turn on Block Network Data.",
    /* 44 */ "Turning on Block Network Data.",
    /* 45 */ "ERROR: Failed to turn off Block Network Data.",
    /* 46 */ "Turning off Block Network Data.",
    /* 47 */ "ERROR: Invalid Keep Alive Timeout. Must be 0 or from {} to {} seconds.",
    /* 48 */ "ERROR: Failed to commit the TCP Keep Alive value.",
    /* 49 */ "ERROR: Invalid group name.  Must be from 1 to 16 characters.",
    /* 50 */ "WARNING: group does not exist.",
    /* 51 */ "WARNING: group is not enabled.",
    /* 52 */ "ERROR: Failed to commit the CP Set Group.",
    /* 53 */ "ERROR: Invalid On Connection value.",
    /* 54 */ "ERROR: Failed to commit the Connect Value.",
    /* 55 */ "ERROR: Invalid On Disconnection value.",
    /* 56 */ "ERROR: Failed to commit the Disconnect Value.",
    /* 57 */ "ERROR: Failed to delete the Remote Address.",
    /* 58 */ "The Remote Address has been deleted.",
    /* 59 */ "ERROR: Failed to delete the Remote Port.",
    /* 60 */ "The Remote Port has been deleted.",
    /* 61 */ "ERROR: Failed to set the Local Port to Random.",
    /* 62 */ "The Local Port has been set to Random.",
    /* 63 */ "ERROR: Failed to delete the SSH Username.",
    /* 64 */ "The SSH Username has been deleted.",
    /* 65 */ "ERROR: Failed to reset the TCP Keep Alive value.",
    /* 66 */ "The TCP Keep Alive value has been reset to its default.",
    /* 67 */ "ERROR: Failed to delete the CP Set Group.",
    /* 68 */ "The CP Set Group has been deleted.",
    /* 69 */ "ERROR: Invalid Accept Mode value.",
    /* 70 */ "ERROR: PPP is enabled on the line.",
    /* 71 */ "ERROR: Failed to commit the Accept Mode.",
    /* 72 */ "WARNING: No Start Character is currently configured.",
    /* 73 */ "ERROR: Invalid Local Port value. Valid range is from 1 to 65535.",
    /* 74 */ "Changing the Output Selection to {}.",
    /* 75 */ "ERROR: Failed to commit the Local Port.",
    /* 76 */ "ERROR: Invalid Protocol value.",
    /* 77 */ "ERROR: Failed to commit the Protocol.",
    /* 78 */ "ERROR: Failed to enable Flush Serial Data.",
    /* 79 */ "Enabling Flush Serial Data.",
    /* 80 */ "ERROR: Failed to disable Flush Serial Data.",
    /* 81 */ "Disabling Flush Serial Data.",
    /* 82 */ "ERROR: Failed to turn on Block Serial Data.",
    /* 83 */ "Turning on Block Serial Data.",
    /* 84 */ "ERROR: Failed to turn off Block Serial Data.",
    /* 85 */ "Turning off Block Serial Data.",
    /* 86 */ "ERROR: Failed to turn on Block Network Data.",
    /* 87 */ "Turning on Block Network Data.",
    /* 88 */ "ERROR: Failed to turn off Block Network Data.",
    /* 89 */ "Turning off Block Network Data.",
    /* 90 */ "ERROR: Invalid Keep Alive Timeout. Must be 0 or from {} to {} seconds.",
    /* 91 */ "ERROR: Failed to commit the TCP Keep Alive value.",
    /* 92 */ "ERROR: Invalid group name.  Must be from 1 to 16 characters.",
    /* 93 */ "WARNING: group does not exist.",
    /* 94 */ "WARNING: group is not enabled.",
    /* 95 */ "ERROR: Failed to commit the CP Set Group.",
    /* 96 */ "ERROR: Invalid On Connection value.",
    /* 97 */ "ERROR: Failed to commit the Connect Value.",
    /* 98 */ "ERROR: Invalid On Disconnection value.",
    /* 99 */ "ERROR: Failed to commit the Disconnect Value.",
    /* 100 */ "ERROR: Failed to reset the Local Port.",
    /* 101 */ "The Local Port has been reset to its default.",
    /* 102 */ "ERROR: Failed to reset the TCP Keep Alive value.",
    /* 103 */ "The TCP Keep Alive value has been reset to its default.",
    /* 104 */ "ERROR: Failed to delete the CP Set Group.",
    /* 105 */ "The CP Set Group has been deleted.",
    /* 106 */ "ERROR: Invalid Disconnect Mode value.",
    /* 107 */ "ERROR: Failed to commit the Disconnect Mode.",
    /* 108 */ "WARNING: No Stop Character is currently configured.",
    /* 109 */ "WARNING: Stop Character of '+' is not supported when in Modem Emulation.",
    /* 110 */ "ERROR: Invalid Disconnect Timeout value. Valid range is from 2 to 2147483647.",
    /* 111 */ "ERROR: Failed to commit the Timeout.",
    /* 112 */ "ERROR: Failed to enable Flush Serial Data.",
    /* 113 */ "Enabling Flush Serial Data.",
    /* 114 */ "ERROR: Failed to disable Flush Serial Data.",
    /* 115 */ "Disabling Flush Serial Data.",
    /* 116 */ "ERROR: Invalid Packing Mode value.",
    /* 117 */ "ERROR: Failed to commit the Packing Mode.",
    /* 118 */ "WARNING: No Send Character is currently configured.",
    /* 119 */ "ERROR: Invalid Packing Mode Timeout.  Must be from 1 to 30000 milliseconds.",
    /* 120 */ "ERROR: Failed to commit the Timeout.",
    /* 121 */ "ERROR: Invalid Packing Mode Threshold.  Must be from 100 to 1450 bytes.",
    /* 122 */ "ERROR: Failed to commit the Threshold.",
    /* 123 */ "ERROR: Failed to commit the Send Character.",
    /* 124 */ "ERROR: Invalid Send Character.",
    /* 125 */ "ERROR: Failed to commit the Trailing Character.",
    /* 126 */ "ERROR: Invalid Trailing Character.",
    /* 127 */ "ERROR: Failed to delete the Send Character.",
    /* 128 */ "The Send Character has been deleted.",
    /* 129 */ "ERROR: Failed to delete the Trailing Character.",
    /* 130 */ "The Trailing Character has been deleted.",
    /* 131 */ "WARNING: Start and Stop Characters are the same.",
    /* 132 */ "ERROR: Failed to commit the Start Character.",
    /* 133 */ "WARNING: Start and Stop Characters are the same.",
    /* 134 */ "ERROR: Invalid Start Character.",
    /* 135 */ "ERROR: Failed to commit the Stop Character.",
    /* 136 */ "WARNING: Start and Stop Characters are the same.",
    /* 137 */ "WARNING: Stop Character of '+' is not supported when in Modem Emulation.",
    /* 138 */ "ERROR: Invalid Stop Character.",
    /* 139 */ "ERROR: Failed to turn on Echo Start Character.",
    /* 140 */ "Turning on Echo Start Character.",
    /* 141 */ "ERROR: Failed to turn off Echo Start Character.",
    /* 142 */ "Turning off Echo Start Character.",
    /* 143 */ "ERROR: Failed to turn on Echo Stop Character.",
    /* 144 */ "Turning on Echo Stop Character.",
    /* 145 */ "ERROR: Failed to turn off Echo Stop Character.",
    /* 146 */ "Turning off Echo Stop Character.",
    /* 147 */ "ERROR: Failed to delete the Start Character.",
    /* 148 */ "The Start Character has been deleted.",
    /* 149 */ "ERROR: Failed to delete the Stop Character.",
    /* 150 */ "The Stop Character has been deleted.",
    /* 151 */ "ERROR: Failed to turn on Echo Pluses.",
    /* 152 */ "Turning on Echo Pluses.",
    /* 153 */ "ERROR: Failed to turn off Echo Pluses.",
    /* 154 */ "Turning off Echo Pluses.",
    /* 155 */ "ERROR: Failed to turn on Echo Commands.",
    /* 156 */ "Turning on Echo Commands.",
    /* 157 */ "ERROR: Failed to turn off Echo Commands.",
    /* 158 */ "Turning off Echo Commands.",
    /* 159 */ "ERROR: Failed to turn on Verbose Response Codes.",
    /* 160 */ "Turning on Verbose Response Codes.",
    /* 161 */ "ERROR: Failed to turn off Verbose Response Codes.",
    /* 162 */ "Turning off Verbose Response Codes.",
    /* 163 */ "ERROR: Failed to change to Text Response Codes.",
    /* 164 */ "Changing to Text Response Codes.",
    /* 165 */ "ERROR: Failed to change to Numeric Response Codes.",
    /* 166 */ "Changing to Numeric Response Codes.",
    /* 167 */ "ERROR: Failed to change to Error Unknown Commands.",
    /* 168 */ "Changing to Error on Unknown Commands.",
    /* 169 */ "ERROR: Failed to change to Error Unknown Commands.",
    /* 170 */ "Changing to not Error on Unknown Commands.",
    /* 171 */ "ERROR: Connect String too long. Maximum size is 30 characters.",
    /* 172 */ "ERROR: Failed to commit Connect String.",
    /* 173 */ "ERROR: Failed to delete the Remote Address.",
    /* 174 */ "The Remote Address has been deleted.",
    /* 175 */ "ERROR: Failed to set the Accept Mode Encrypt Key.",
    /* 176 */ "The Accept Mode Encrypt Key has been set.",
    /* 177 */ "ERROR: Failed to set the Connect Mode Encrypt Key.",
    /* 178 */ "The Connect Mode Encrypt Key has been set.",
    /* 179 */ "ERROR: Failed to set the Accept Mode Decrypt Key.",
    /* 180 */ "The Accept Mode Decrypt Key has been set.",
    /* 181 */ "ERROR: Failed to set the Connect Mode Decrypt Key.",
    /* 182 */ "The Connect Mode Decrypt Key has been set.",
    /* 183 */ "ERROR: Invalid Accept Mode Encrypt Key length. Must be from 1 to 16 bytes.",
    /* 184 */ "ERROR: Must specify either Text or Binary for the Accept Mode Encrypt Key.",
    /* 185 */ "ERROR: Invalid Accept Mode Decrypt Key length. Must be from 1 to 16 bytes.",
    /* 186 */ "ERROR: Must specify either Text or Binary for the Accept Mode Decrypt Key.",
    /* 187 */ "ERROR: Invalid Connect Mode Encrypt Key length. Must be from 1 to 16 bytes.",
    /* 188 */ "ERROR: Must specify either Text or Binary for the Connect Mode Encrypt Key.",
    /* 189 */ "ERROR: Invalid Connect Mode Decrypt Key length. Must be from 1 to 16 bytes.",
    /* 190 */ "ERROR: Must specify either Text or Binary for the Connect Mode Decrypt Key.",
    /* 191 */ "ERROR: Failed to delete the Accept Mode Encrypt Key.",
    /* 192 */ "The Accept Mode Encrypt Key has been deleted.",
    /* 193 */ "ERROR: Failed to delete the Accept Mode Decrypt Key.",
    /* 194 */ "The Accept Mode Decrypt Key has been deleted.",
    /* 195 */ "ERROR: Failed to delete the Connect Mode Encrypt Key.",
    /* 196 */ "The Connect Mode Encrypt Key has been deleted.",
    /* 197 */ "ERROR: Failed to delete the Connect Mode Decrypt Key.",
    /* 198 */ "The Connect Mode Decrypt Key has been deleted.",
    /* 199 */ "ERROR: The Accept Mode Encrypt Key is not formatted correctly.",
    /* 200 */ "ERROR: The Accept Mode Decrypt Key is not formatted correctly.",
    /* 201 */ "ERROR: The Connect Mode Encrypt Key is not formatted correctly.",
    /* 202 */ "ERROR: The Connect Mode Decrypt Key is not formatted correctly.",
    /* 203 */ "ERROR: Unknown tunnel port.",
    /* 204 */ "ERROR: Failed to get tunnel data.",
    /* 205 */ "ERROR: Failed to get modem data.",
    /* 206 */ "Changing the Buffer Size to {} (requires reboot).",
    /* 207 */ "Changing the Read Timeout to {}.",
    /* 208 */ "Changing the Connect Mode to {}.",
    /* 209 */ "Changing the Remote Address to {}.",
    /* 210 */ "Changing the Remote Port to {}.",
    /* 211 */ "ERROR: The Local Port value is used for the Connect Local Port on Line {}.",
    /* 212 */ "ERROR: The Local Port value is used for the Accept Local Port on Line {}.",
    /* 213 */ "Changing the Local Port to {}.",
    /* 214 */ "Changing the Protocol to {}.",
    /* 215 */ "Changing the Reconnect Timer to {}.",
    /* 216 */ "Changing the SSH Username to {}.",
    /* 217 */ "Changing the TCP Keep Alive value to {}.",
    /* 218 */ "Changing the CP Set Group to {}.",
    /* 219 */ "Changing the CP Set Group Connect value to {}.",
    /* 220 */ "Changing the CP Set Group Disconnect value to {}.",
    /* 221 */ "Changing the Accept Mode to {}.",
    /* 222 */ "ERROR: Failed to change the Output Selection.",
    /* 223 */ "The Output Selection has been removed.",
    /* 224 */ "Changing the Local Port to {}.",
    /* 225 */ "Changing the Protocol to {}.",
    /* 226 */ "Changing the TCP Keep Alive value to {}.",
    /* 227 */ "Changing the CP Set Group to {}.",
    /* 228 */ "Changing the CP Set Group Connect value to {}.",
    /* 229 */ "Changing the CP Set Group Disconnect value to {}.",
    /* 230 */ "Changing the Disconnect Mode to {}.",
    /* 231 */ "Changing the Timeout to {}.",
    /* 232 */ "Changing the Packing Mode to {}.",
    /* 233 */ "Changing the Timeout to {}.",
    /* 234 */ "Changing the Threshold to {}.",
    /* 235 */ "Changing the Send Character to {}.",
    /* 236 */ "Changing the Trailing Character to {}.",
    /* 237 */ "Changing the Start Character to {}.",
    /* 238 */ "Changing the Stop Character to {}.",
    /* 239 */ "Changing Connect String to {}.",
    /* 240 */ "Email on Connect turned off.",
    /* 241 */ "ERROR: Failed to reset Email on Connect.",
    /* 242 */ "Email on Disconnect tuned off.",
    /* 243 */ "ERROR: Failed to reset Email on Disconnect.",
    /* 244 */ "ERROR: Invalid Email profile.",
    /* 245 */ "ERROR: Failed to set the Email on Connect.",
    /* 246 */ "Email on Connect set to {}.",
    /* 247 */ "ERROR: Failed to set the Email on Disconnect.",
    /* 248 */ "Email on Disconnect set to {}.",
    /* 249 */ "ERROR: Failed to change password.",
    /* 250 */ "Password changed succesfully.",
    /* 251 */ "Prompt for Password status changed succesfully.",
    /* 252 */ "ERROR: Failed to change Prompt for Password status.",
    /* 253 */ 'Changing the Output Control Mode to "Logical-Or".',
    /* 254 */ 'Changing the Output Control Mode to "Exclusive".',
    /* 255 */ 'ERROR: Failed to change the Output Control Mode.',
    /* 256 */ 'WARNING: Serial protocol is not "Tunnel".',
    /* 257 */ 'WARNING: "Exclusive" Output Selection "{}" is specified elsewhere.',
    /* 258 */ 'WARNING: Output Selection "{}" is not currently an Output.',
    /* 259 */ 'WARNING: Output Selection "{}" is User overridden {}.',
    /* 260 */ 'WARNING: Output Selection "{}" is "Exclusive" to {}.',
    /* 261 */ "ERROR: Failed to enable RSS Trace Connections.",
    /* 262 */ 'RSS Trace Connections set to "Enabled".',
    /* 263 */ "ERROR: Failed to disable RSS Trace Connections.",
    /* 264 */ 'RSS Trace Connections set to "Disabled".',
  ];

function TunnelAggStatsRender(xml)
{
    var d = document.getElementById('aggtable');
    d.innerHTML = '';

    var r = '';

    r += "<table class=\"basicTable tunnelStatsTable\"><tr class=\"tunnelHeader\"><td colspan=\"2\">Aggregate Counters</td></tr>";

    if (!xml || !xml.hasChildNodes())
    {
        r += "<tr><td colspan=\"2\"><b>There is no aggregate data.</b></td></tr>";
        r += "</table>";
    }
    else
    {
        for (var i = 0; xml && i < xml.childNodes.length; i++)
        {
            var node = xml.childNodes[i];

            if (node.nodeName.toLowerCase() == "a")
            {
                r += "<tr><td><b>Completed Connects:</b></td><td>" + GetXmlData(node, "cc") + "</td></tr>";
                r += "<tr><td><b>Completed Accepts:</b></td><td>" + GetXmlData(node, "ca") + "</td></tr>";
                r += "<tr><td><b>Disconnects:</b></td><td>" + GetXmlData(node, "d") + "</td></tr>";
                r += "<tr><td><b>Dropped Connects:</b></td><td>" + GetXmlData(node, "dc") + "</td></tr>";
                r += "<tr><td><b>Dropped Accepts:</b></td><td>" + GetXmlData(node, "da") + "</td></tr>";
                r += "<tr><td><b>Octets forwarded from Serial:</b></td><td>" + GetXmlData(node, "os") + "</td></tr>";
                r += "<tr><td><b>Octets forwarded from Network:</b></td><td>" + GetXmlData(node, "on") + "</td></tr>";
                r += "<tr><td><b>Connect Connection Time:</b></td><td>" + GetXmlData(node, "ct") + "</td></tr>";
                r += "<tr><td><b>Accept Connection Time:</b></td><td>" + GetXmlData(node, "at") + "</td></tr>";
                r += "<tr><td><b>Connect DNS Address Changes:</b></td><td>" + GetXmlData(node, "cdns") + "</td></tr>";
                r += "<tr><td><b>Connect DNS Address Invalids:</b></td><td>" + GetXmlData(node, "idns") + "</td></tr>";
            }
        }
    }

    r += "</table>";

    d.innerHTML = r;
}

function TunnelConnectStatsRender(xml)
{
    var d = document.getElementById('contable');
    d.innerHTML = '';

    var r = '';

    r += "<table class=\"basicTable tunnelStatsTable\">";

    if (!xml || !xml.hasChildNodes())
    {
        r += "<tr class=\"tunnelHeader\"><td colspan=\"2\">Connect Counters</td></tr>";
        r += "<tr><td colspan=\"2\"><b>There is no active connection.</b></td></tr>";
    }
    else
    {
        for (var i = 0; xml && i < xml.childNodes.length; i++)
        {
            var node = xml.childNodes[i];

            if (node.nodeName.toLowerCase() == "a")
            {
                r += "<tr class=\"tunnelHeader\">";
                r += "<td colspan=\"2\">";
                r += "Connect Counters ";
                r += "[<a ";
                r += "href=\"javascript:void(0)\" ";
                r += "onclick=\" ";
                r += "if (";
                r += "confirm('Are you SURE you want to kill this connection?')";
                r += ") ajax_TunnelStatsClean(";
                r += "[false, document.getElementById('hiddenport').innerHTML, 'connect']";
                r += ");";
                r += "return false;";
                r += " \" ";
                r += ">Kill Connection";
                r += "</a>]";
                r += "</td>";
                r += "</tr>";
                r += "<tr><td colspan=\"2\"><b>" + GetXmlData(node, "conn") + "</b></td></tr>";
                r += "<tr><td><b>Octets forwarded from Serial:</b></td><td>" + GetXmlData(node, "os") + "</td></tr>";
                r += "<tr><td><b>Octets forwarded from Network:</b></td><td>" + GetXmlData(node, "on") + "</td></tr>";
                r += "<tr><td><b>Uptime:</b></td><td>" + GetXmlData(node, "ut") + "</td></tr>";
                r += "<tr><td><b>DNS Address Changes:</b></td><td>" + GetXmlData(node, "cdns") + "</td></tr>";
                r += "<tr><td><b>DNS Address Invalids:</b></td><td>" + GetXmlData(node, "idns") + "</td></tr>";
            }
        }
    }

    r += "</table>";

    d.innerHTML = r;
}

function TunnelAcceptStatsRender(xml)
{
    var d = document.getElementById('acctable');
    d.innerHTML = '';

    var r = '';

    r += "<table class=\"basicTable tunnelStatsTable\">";

    if (!xml || !xml.hasChildNodes())
    {
        r += "<tr class=\"tunnelHeader\"><td colspan=\"2\">Accept Counters</td></tr>";
        r += "<tr><td colspan=\"2\"><b>There is no active connection.</b></td></tr>";
    }
    else
    {
        for (var i = 0; xml && i < xml.childNodes.length; i++)
        {
            var node = xml.childNodes[i];

            if (node.nodeName.toLowerCase() == "a")
            {
                r += "<tr class=\"tunnelHeader\">";
                r += "<td colspan=\"2\">";
                r += "Accept Counters";
                r += "[<a ";
                r += "href=\"javascript:void(0)\" ";
                r += "onclick=";
                r += " \" ";
                r += "if (";
                r += "confirm('Are you SURE you want to kill this connection?')";
                r += ") ajax_TunnelStatsClean(";
                r += "[false, document.getElementById('hiddenport').innerHTML, 'accept']";
                r += ");";
                r += "return false;";
                r += " \" ";
                r += ">";
                r += "Kill Connection";
                r += "</a>]";
                r += "</td>";
                r += "</tr>";
                r += "<tr><td colspan=\"2\"><b>" + GetXmlData(node, "conn") + "</b></td></tr>";
                r += "<tr><td><b>Octets forwarded from Serial:</b></td><td>" + GetXmlData(node, "os") + "</td></tr>";
                r += "<tr><td><b>Octets forwarded from Network:</b></td><td>" + GetXmlData(node, "on") + "</td></tr>";
                r += "<tr><td><b>Uptime:</b></td><td>" + GetXmlData(node, "ut") + "</td></tr>";
            }
        }
    }

    r += "</table>";

    d.innerHTML = r;
}

function SetTunnelAcceptLinks()
{
    document.getElementById('tunacclocportD').style.display = (
        document.getElementById('tunacclocport').innerHTML.substring(0,5) ==
        ( 10000 + 1 * document.getElementById('tunnelport').innerHTML )
    ) ? 'none' : 'inline';

    document.getElementById('tunacckeepaliveD').style.display =
        document.getElementById('tunacckeepalive').innerHTML.substring(0,7) == 'Default'
        ? 'none' : 'inline';


    document.getElementById('tunemailconD').style.display =
        (document.getElementById('tunemailcon').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunemaildisconD').style.display =
        (document.getElementById('tunemaildiscon').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';







    document.getElementById('tunacccpsetgroupD').style.display =
        (document.getElementById('tunacccpsetgroup').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';



    document.getElementById('tunnelpassD').style.display =
        (document.getElementById('tunnelpass').innerHTML == '&lt;Not Configured&gt;') ? 'none' : 'inline';
}

function SetTunnelAesLinks()
{
    document.getElementById('tunaesaccencD').style.display =
        (document.getElementById('tunaesaccenc').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunaesaccdecD').style.display =
        (document.getElementById('tunaesaccdec').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunaesconencD').style.display =
        (document.getElementById('tunaesconenc').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunaescondecD').style.display =
        (document.getElementById('tunaescondec').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}

function SetTunnelConnectLinks()
{
    document.getElementById('tunconremaddrD').style.display =
        (document.getElementById('tunconremaddr').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunconremportD').style.display =
        (document.getElementById('tunconremport').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunconlocportD').style.display =
        (document.getElementById('tunconlocport').innerHTML == 'Random') ? 'none' : 'inline';


    document.getElementById('tunconsshD').style.display =
        (document.getElementById('tunconssh').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';


    document.getElementById('tunconkeepaliveD').style.display =
        (document.getElementById('tunconkeepalive').innerHTML.substring(0,7) == 'Default') ? 'none' : 'inline';


    document.getElementById('tunemailconD').style.display =
        (document.getElementById('tunemailcon').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunemaildisconD').style.display =
        (document.getElementById('tunemaildiscon').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';







    document.getElementById('tunconcpsetgroupD').style.display =
        (document.getElementById('tunconcpsetgroup').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';


}

function SetTunnelModemLinks()
{
    document.getElementById('tunmodconD').style.display =
        (document.getElementById('tunmodcon').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}

function SetTunnelPackingLinks()
{
    document.getElementById('tunpackscD').style.display =
        (document.getElementById('tunpacksc').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunpacktcD').style.display =
        (document.getElementById('tunpacktc').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}

function SetTunnelSerialLinks()
{
    document.getElementById('tunsersizeD').style.display =
        (document.getElementById('tunsersize').innerHTML == '2048 bytes') ? 'none' : 'inline';
}

function SetTunnelSSCharsLinks()
{
    document.getElementById('tunssstartD').style.display =
        (document.getElementById('tunssstart').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('tunssstopD').style.display =
        (document.getElementById('tunssstop').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}

function SetTunnelNav(xml)
{




    SetNav(xml, true, true);

}

function TunnelRender( xml )
{
        var d = document.getElementById("multitunneldropdown");
        if( d ) {
                var sel="";
                var i;
                var curLine = Number(document.getElementById("hiddenport").innerHTML);
                var r = "<";
                r += "select name='navSelect' ";
                r += "id='navSelect' ";
                r += "onchange=";
                r += " \" ";
                r += "var page = document.getElementById('hiddencurrenttunnelpage').innerHTML;";
                r += "return ajax_AddToHistory(page, [true, '1='+this.value]);";
                r += " \" ";
                r += ">"
                for( i = 0; i < 2; i++ ) {
                        if( curLine == i ) {
                                sel = " SELECTED ";
                        }
                        else {
                                sel = "";
                        }
                        r += "<option value='" + i + "' " + sel + ">Tunnel " + (i+1) +" </option>";
                }
                r += "</select>";
                d.innerHTML = "";
                d.innerHTML = r;
        }
        return r;
}

function TunnelEmailIndex(xml)
{
    var d = document.getElementById('emailcon');
    d.innerHTML = '';

    var num = GetXmlData(xml, "num");
    var con = GetXmlData(xml, "con");
    var nocon = GetXmlData(xml, "nocon");

    var r = '';
    var sel;
    var i;

    r = "<select name=\"emailconsel\">"

    for (i = 0; i <= num; i++ )
    {
        if (i == con)
        {
            sel = " selected ";
        }
        else
        {
            sel = "";
        }

        if (i == 0)
        {
            r += "<option value=\"0\" " + sel + ">None</option>";
        }
        else
        {
            r += "<option value=\"" + i + "\" " + sel + ">Email " + i + " </option>";
        }
    }

    r += "</select>";

    d.innerHTML = r;

    d = document.getElementById('emaildiscon');
    d.innerHTML = '';

    r = '';

    r = "<select name=\"emaildisconsel\">"

    for (i = 0; i <= num; i++ )
    {
        if (i == nocon)
        {
            sel = " selected ";
        }
        else
        {
            sel = "";
        }

        if (i == 0)
        {
            r += "<option value=\"0\" " + sel + ">None</option>";
        }
        else
        {
            r += "<option value=\"" + i + "\" " + sel + ">Email " + i + " </option>";
        }
    }

    r += "</select>";

    d.innerHTML = r;

}
